has-flag

> Check if `argv` has a specific flag

Correctly stops looking after an `--` argument terminator.

Get professional support for this package with a Tidelift subscription
Tidelift helps make open source sustainable for maintainers while giving companies
assurances about security, maintenance, and licensing for their dependencies.

# Install

$ npm install has-flag

# Usage

// foo.js
const hasFlag = require('has-flag');
hasFlag('unicorn');
//=> true
hasFlag('--unicorn');
//=> true
hasFlag('f');
//=> true
hasFlag('-f');
//=> true
hasFlag('foo=bar');
//=> true
hasFlag('foo');
//=> false
hasFlag('rainbow');
//=> false
$ node foo.js -f --unicorn --foo=bar -- --rainbow

# API

## hasFlag(flag, [argv])

Returns a boolean for whether the flag exists.

### flag

Type: `string`

CLI flag to look for. The `--` prefix is optional.

### argv

Type: `string[]`
Default: `process.argv`

CLI arguments.

# Security

To report a security vulnerability, please use the Tidelift security contact. Tidelift will coordinate the fix and disclosure.

# License

MIT © Sindre Sorhus